<?php
    /* DYNPG INSTALLATION */

	// init session
		session_start();

    // fix beginning of installation
		$_SESSION['DYNPG_INSTALLATION'] = time();

    // import
		require 'bin.php';

    // perform get validation
		foreach ( $_GET as $key => $value ) {
	        $value = addslashes($value);
	    }

	// try to deduce current language from http header language entry
		$http_lang = substr(getenv('HTTP_ACCEPT_LANGUAGE'), 0, 2);
	    if (empty($http_lang))
	    	$http_lang = empty($_SERVER['HTTP_ACCEPT_LANGUAGE'])? 'de': substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);

		$http_lang = strtolower($http_lang);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

		<title>
			DynPG - Web Installation Manager
		</title>

		<link rel="stylesheet" type="text/css" href="install.css">

		<script src="java.js" type="text/javascript"></script>

	</head>

	<body>

	<a name="__self"></a>
	<table border="0" Cellpadding="0" Cellspacing="0" width="100%">
		<tr>
			<td valign="top" align="left" width="100%">
				<table border="0" Cellpadding="0" Cellspacing="0" width="100%">
				 <tr>
				  <td valign="top" align="left" width="705" style="background-image: url('logo.gif'); background-repeat: no-repeat;">
				  <div id="dynpg_installation_steps">
						<img src="step-on.gif" alt="Step 1 - Active" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 2 - Inactive" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 3 - Inactive" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 4 - Inactive" class="dynpg_installation_steps_img" />
						<img src="step-off.gif" alt="Step 5 - Inactive" class="dynpg_installation_steps_img" />
					</div>
                  </td>
				  <td valign="center" align="right" style="background-image: url('head-bg.gif');"><img src="head-right.gif" alt="Head-Right" /></td>
				 </tr>
				</table>
			</td>
		</tr>
	</table>

	<table border="0" cellspacing="0" align="center" class="dynpg_installation_step">
		<tr>
			<td height="50" style="background-image:url('stephead.gif');"><div id="dynpg_installation_step_headline">DynPG - Webinstallation 1/5</div></td>
		</tr>
		<tr>
			<td><div id="dynpg_installation_step1_text">

			<form action="step1.php" method="post" name="installation_step0">

			<h4>Please choose a language | Bitte w&auml;hlen Sie eine Sprache | Porfavor elig&eacute; una idioma:</h4>

			<select name="language" class="language">
				<?php
					$countries = shortTag_countries();
					foreach ($countries as $country => $iso) {
						print "<option value=\"{$iso}\"" . (strtolower($iso) == $http_lang? 'selected="selected"': '') . ">"
							. htmlentities($country) . "</option>\n";
					}
				?>
			</select>

			<?php foreach ( $_POST as $key => $value ) { ?>
			<?php if ( !strpos($key, 'password') ) { ?>
			<input type="hidden" name="<?php echo $key ?>" id="<?php echo $key ?>" value="<?php echo $value ?>" />
            <?php } } ?>

			<input type="image" src="button_next.gif" alt="next" title="Next step" align="right" border="0" />

			</form>

			</div></td>
		</tr>
		<tr>
			<td height="30" style="background-color: white; background-image:url('stepfood.gif');"></td>
		</tr>
	</table>

	</body>
</html>