/**
*  DYNPG BACKEND JAVASCRIPT FILE
*
*  THIS JAVASCRIPT FILE INITS MOUSE EVENTS TO THE DYNPG
*  BACKEND AND ADDS SOME HELPERS TO REALIZE LAYERS,
*  WHICH OPEN AT THE CURRENT MOUSE POSITION.
*/

//
// MOUSE POSITION
//
var docEl = (
             typeof document.compatMode != "undefined" &&
             document.compatMode        != "BackCompat"
            )? "documentElement" : "body";

var mouse_X_Coord;
var mouse_Y_Coord;

function init_mousemove() {
    if(document.layers)
		document.captureEvents(Event.MOUSEMOVE);

    document.onmousemove = dpl_mouse_pos;
}

function dpl_mouse_pos(e) {
    var xPos    =  e? e.pageX : window.event.x;
    var yPos    =  e? e.pageY : window.event.y;

    if (document.all && !document.captureEvents) {
        xPos    += document[docEl].scrollLeft;
        yPos    += document[docEl].scrollTop;
    }

    if (document.layers)
		routeEvent(e);

	mouse_X_Coord = xPos;
	mouse_Y_Coord = yPos;

	return (new Array(xPos, yPos));
}

function moveElement(id, is_id_element, id_element, id_element_value) {
	var html4El = document.getElementById(id);

	html4El.style.display = 'block';

	if (is_id_element) {
		document.getElementById(id_element).value = id_element_value;
	}

	// implicit cast width of element
	var strWidth  = html4El.style.width;
	var intWidth  = strWidth.replace(/px/, "");

	html4El.style.left = (mouse_X_Coord - intWidth) + 'px';
	html4El.style.top  = (mouse_Y_Coord  - 100) + 'px';

	return false;
}

function hideElement(id) {
	var html4El = document.getElementById(id);

	html4El.style.display = 'none';

	return false;
}

function switchElement(id, style) {
	var html4El = document.getElementById(id);

	html4El.style.display = (html4El.style.display == style)? 'none': style;

	return false;
}

// call functions

init_mousemove();